XCOMM This file is part of `fileSelect'
XCOMM Copyright (c) 1995 David Deaven
XCOMM
XCOMM In the following, "you" and "You" refer to any entity other than 
XCOMM the Microsoft corporation and its subsidiaries.  All rights are
XCOMM reserved by the author in connection with Microsoft and its
XCOMM subsidiaries.  The Microsoft Network is explicity denied the right
XCOMM to copy, reproduce, or transmit this software.
XCOMM
XCOMM   This program is free software; you can redistribute it and/or modify
XCOMM   it under the terms of the GNU General Public License as published by
XCOMM   the Free Software Foundation; either version 2 of the License, or
XCOMM   (at your option) any later version.
XCOMM
XCOMM   This program is distributed in the hope that it will be useful,
XCOMM   but WITHOUT ANY WARRANTY; without even the implied warranty of
XCOMM   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
XCOMM   GNU General Public License for more details.
XCOMM
XCOMM   You should have received a copy of the GNU General Public License
XCOMM   along with this program; if not, write to the Free Software
XCOMM   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
XCOMM
XCOMM $Author: deaven $
XCOMM $Id: Makefile.mk,v 2.0 1996/07/09 20:52:33 deaven Exp $
XCOMM

#include "dmd/machine.mk"

XCOMM ## Set these to the places where X11 may be found
INCDIR = /usr/X11/include
USRLIBDIR = /usr/X11/lib

XCOMM ## Nothing below here should be changed.

OBJS = FileSelect.o

CFLAGS =  $(C_ALWAYS_FLAGS) $(C_OPTIMIZE_FLAGS) \
	-I$(DMDDIR)/include -I$(INCDIR) \
	-DFUNCPROTO=15 -DNARROWPROTO

EXELIBS =  $(LD_ALWAYS_FLAGS) -L$(USRLIBDIR) \
	-ldmd -lXaw -lXmu -lXt -lX11 -lm

TARGETS = FileSelect.o sample

all: $(TARGETS)

sample:	$(OBJS) sample.o
	$(CC) -o $@ sample.o $(OBJS) $(EXELIBS)

Makefiles:

clean:
	rm -f *.o core parse.c
	rm -f $(TARGETS)

depend:
	make_depend(*.c,depend.make)

include_file(depend.make)
